'*******************************************************************************
'*                             TBrowseDialog.bi                                *
'*             This file is a part of sGUI libary for FreeBasic                *
'*             Copyright 2010-2013 Nastasa Vasile Eodor                       *
'*             http://sgui.rqwork.evonet.ro                                    *
'*             mail: nastase.eodor@gmail.com                                   *
'*                             version 2.0                                     *
'*******************************************************************************

#include once "win/shlobj.bi"
#include once "control.bi"

#ifndef TBrowseDialogClass
       #define TBrowseDialogClass(__Ptr__) *Cast(TBrowseDialog ptr,__Ptr__)
#endif

type PBrowseDialog as TBrowseDialog ptr
type TBrowseDialog
     private:
     declare static function Hook(hWnd as HWND,uMsg as uINT,lParam as LPARAM,lpData as LPARAM) as integer
     public:
     Owner      as PControl
     Handle     as Hwnd
     Caption    as string
     Title      as string
     InitialDir as string
     Directory  as string
     Center     as integer
     declare function Execute as integer
     declare operator cast as any ptr
     declare operator cast as string
     declare constructor
     declare destructor
     OnSelectionChange as sub(Byref Sender as TBrowseDialog,Folder as any ptr)
end type
