'*******************************************************************************
'*                             Clipboard.bi                                    *
'*             This file is a part of sGUI libary for FreeBasic                *
'*             Copyright 2010-2013 Nastasa Vasile Eodor                       *
'*             http://sgui.rqwork.evonet.ro                                    *
'*             mail: nastase.eodor@gmail.com                                   *
'*                             version 2.0                                     *
'*******************************************************************************

#include once "windows.bi"

namespace ClipboardObject

    type TClipboard
        Private:
        FFormatCount as integer
        FFormat      as zstring ptr
        Public:
        declare sub Open
        declare sub Clear
        declare sub Close
        declare sub SetAsText(Value as string)
        declare function GetAsText as string
        declare sub SetAsHandle(FFormat As Word,Value As HANDLE)
        declare function GetAsHandle(FFormat As Word) As HANDLE
        declare function HasFormat(FFormat As Word) as integer
        Declare Property FormatCount as integer
        Declare Property FormatCount(Value as integer)
        Declare Property Format as string
        Declare Property Format(Value as string)
    end type
    
    common Shared as TClipboard Clipboard
end namespace
