'*******************************************************************************
'*                             TColorDialog.bi                                 *
'*             This file is a part of sGUI libary for FreeBasic                *
'*             Copyright 2010-2013 Nastasa Vasile Eodor                       *
'*             http://sgui.rqwork.evonet.ro                                    *
'*             mail: nastase.eodor@gmail.com                                   *
'*                             version 2.0                                     *
'*******************************************************************************

#include once "windows.bi"
#include once "win/CommDlg.bi"
#include once "control.bi"


#ifndef TColorDialogClass
       #define TColorDialogClass(__Ptr__) *Cast(TColorDialog ptr,__Ptr__)
#endif


type PColorDialog as TColorDialog Ptr
type TColorDialog
     private:
     CC              as CHOOSECOLOR
     declare static function Hook(FWindow as HWND,Msg as UINT,wParam as WPARAM,lParam as LPARAM) as Uinteger
     public:
     Owner           as PControl
     Center          as integer
     Handle          as Hwnd
     Caption         as string
     Color           as integer
     Style           as integer
     Colors(16)      as integer => {&H0,&H808080,&H000080,&H008080,_
                                    &H008000,&H808000,&H800000,&H800080,_
                                    &HFFFFFF,&HC0C0C0,&H0000FF,&H00FFFF,_
                                    &H00FF00,&HFFFF00,&HFF0000,&HFF00FF _
                                   }
     BackColor       as integer
     declare operator cast as any ptr
     declare operator cast as string
     declare function Execute as integer
     declare constructor
     declare destructor
end type
