'*******************************************************************************
'*                             TIniFile.bi                                     *
'*             This file is a part of sGUI libary for FreeBasic                *
'*             Copyright 2010-2013 Nastasa Vasile Eodor                       *
'*             http://sgui.rqwork.evonet.ro                                    *
'*             mail: nastase.eodor@gmail.com                                   *
'*                             version 2.0                                     *
'*******************************************************************************

#include once "classes.bi"
#include once "sysutils.bi"

#ifndef TIniFileClass
       #define TIniFileClass(__Ptr__) *Cast(TIniFile ptr,__Ptr__)
#endif

type PIniFile as TIniFile ptr
type TIniFile
     File as String
     declare sub Update
     declare sub WriteString(Section as string,Key as string,Value as string)
     declare sub WriteInteger(Section as string,Key as string,Value as integer)
     declare sub WriteFloat(Section as string,Key as string,Value as double)
     declare function ReadString(Section as string,Key as string,Inplace as string) As String
     declare function ReadInteger(Section as string,Key as string,Inplace as integer) As Integer
     declare function ReadFloat(Section as string,Key as string,Inplace as double) As Double
     declare sub ReadSection(Section as string,Buff As TStringList)
     declare sub ReadSectionKeys(Section as string,Buff As TStringList)
     declare sub ReadSections(Buff As TStringList)
     declare sub ReadSectionValues(Section as string,Buff As TStringList)
     declare sub EraseSection(Section as string)
     declare sub DeleteKey(Section as string,Key as string)
     declare constructor
     declare destructor
end type
