'*******************************************************************************
'*                             TOpenDialog.bi                                  *
'*             This file is a part of sGUI libary for FreeBasic                *
'*             Copyright 2010-2013 Nastasa Vasile Eodor                       *
'*             http://sgui.rqwork.evonet.ro                                    *
'*             mail: nastase.eodor@gmail.com                                   *
'*                             version 2.0                                     *
'*******************************************************************************

#include once "windows.bi"
#include once "win/commdlg.bi"
#include once "opendialogoptions.bi"
#Include once "control.bi"

type POpenDialog as TOpenDialog ptr
type TOpenDialog
     Private:
     declare static function Hook(FWindow as HWND,Msg as UINT,wParam as WPARAM,lParam as LPARAM) as UInteger
     Public:
     Owner        as PControl
     InitialDir   as string
     Caption      as string
     DefaultExt   as string
     FileName     as string
     Filter       as string
     FilterIndex  as integer
     Handle       as HWND
     Options      as TOpenDialogOptions
     Center       as integer
     declare function Execute as integer
     declare operator cast as any ptr
     declare operator cast as string
     declare constructor
     declare destructor
     OnFolderChange    as sub(byref Sender as TOpenDialog)
     OnSelectionChange as sub(byref Sender as TOpenDialog)
     OnTypeChange      as sub(byref Sender as TOpenDialog,Index as integer)
end type
