'*******************************************************************************
'*                             TPrintDialog.bi                                 *
'*             This file is a part of sGUI libary for FreeBasic                *
'*             Copyright 2010-2013 Nastasa Vasile Eodor                       *
'*             http://sgui.rqwork.evonet.ro                                    *
'*             mail: nastase.eodor@gmail.com                                   *
'*                             version 2.0                                     *
'*******************************************************************************

#include once "windows.bi"
#include once "win/CommDlg.bi"
#include once "control.bi"


#ifndef TPrintDialogClass
       #define TPrintDialogClass(__Ptr__) *Cast(TPrintDialog ptr,__Ptr__)
#endif

type PPrintDialog as TPrintDialog Ptr
type TPrintDialog
     private:
     Pdlg          as PDA
     declare static function Hook(FWindow as HWND,Msg as UINT,wParam as WPARAM,lParam as LPARAM) as UInteger
     public:
     Owner         as PControl
     Center        as integer
     Handle        as hwnd
     Caption       as string
     BackColor     as Integer
     Collate       as integer
     Style         as integer
     Copies        as integer 
     FromPage      as integer 
     ToPage        as integer 
     MaxPage       as integer 
     MinPage       as integer 
     PrintRange    as integer 
     PrintToFile   as integer
     AllPages      as integer
     declare operator cast as any ptr
     declare operator cast as string
     declare function Execute as integer
     declare constructor
     declare destructor
end type
