'*******************************************************************************
'*                             TScreen.bi                                      *
'*             This file is a part of sGUI libary for FreeBasic                *
'*             Copyright 2010-2013 Nastasa Vasile Eodor                       *
'*             http://sgui.rqwork.evonet.ro                                    *
'*             mail: nastase.eodor@gmail.com                                   *
'*                             version 2.0                                     *
'*******************************************************************************

#include once "Windows.bi"

namespace ScreenObject

    #undef screen
    
    type TScreen
        private:
        FFontCount     as integer
        FFonts         as zstring ptr ptr
        FWidth         as integer
        FHeight        as integer
        FDesktopWidth  as integer
        FDesktopHeight as integer
        declare static function EnumFontsProc(LogFont as logfont Ptr, TextMetric as textmetric Ptr, FontStyle as dword, hData as lparam) as integer
        declare function GetFonts as integer
        public:
        declare property FontCount as integer
        declare property Font(index as integer) as string
        declare property Width as integer
        declare property Height as integer
        declare property DesktopWidth as integer
        declare property DesktopHeight as integer
    end type
    
    common shared as TScreen Screen
end namespace
