'*******************************************************************************
'*                             TCheckBox.bi                                    *
'*             This file is a part of sGUI libary for FreeBasic                *
'*             Copyright 2010-2013 Nastasa Vasile Eodor                       *
'*             http://sgui.rqwork.evonet.ro                                    *
'*             mail: nastase.eodor@gmail.com                                   *
'*                             version 2.0                                     *
'*******************************************************************************

#include once "control.bi"
#include once "menus.bi"
#include once "graphics.bi"

#ifndef TCheckBoxClass
       #define TCheckBoxClass(__Ptr__) *Cast(TCheckBox ptr,__Ptr__)
#endif

#ifndef GetCheckBox
       #define GetCheckBox(__HWND__) *Cast(TCheckBox Ptr,GetWindowLong(__HWND__,GetClassLong(__HWND__,gcl_cbwndextra)-4))
#endif

type PCheckBox as TCheckBox ptr
type TCheckBox
    private:
    AControl as TControl = TControl("TCheckBox","Button")
    declare sub DispatchMessage(Byref Message as TMessage)
    declare sub ProcessMessage(Byref Message as TMessage)
    declare sub MsgDefault(Byref Message as TMessage)
    declare Static function WindowProc(fWindow as hWnd,msg as UInt,wparam as wParam,lparam as lParam) as LResult
    FChecked     as integer
    FTransparent as integer
    public:
    Font         as TFont
    PopupMenu    as TPopupMenu
    Cursor       as TCursor
    Tag          as any ptr
    declare constructor
    declare destructor
    declare operator cast as any ptr
    declare operator cast as TControl ptr
    declare operator cast as string
    declare static sub RegisterClass(ClassName as string = "TCheckBox",ClassAncestor as string = "Button")
    declare property Caption as string
    declare property Caption(value as string)
    declare property Checked as integer
    declare property Checked(value as integer)
    declare property Align as integer
    declare property Align(value as integer)
    declare property ClientHeight as integer
    declare property ClientHeight(value as integer)
    declare property ClientWidth as integer
    declare property ClientWidth(value as integer)
    declare property Color as integer
    declare property Color(value as integer)
    declare property ParentColor as integer
    declare property ParentColor(value as integer)
    declare property ParentFont as integer
    declare property ParentFont(value as integer)
    declare property Transparency as integer
    declare property Transparency(value as integer)
    declare property Enabled as integer
    declare property Enabled(value as integer)
    declare property Handle as hwnd
    declare property Handle(value as hwnd)
    declare property Height as integer
    declare property Height(value as integer)
    declare property Hint as String
    declare property Hint(value as String)
    declare property Left as integer
    declare property Left(value as integer)
    declare property Parent as TControl ptr
    declare property Parent(value as TControl ptr)
    declare property ShowHint as integer
    declare property ShowHint(value as integer)
    declare property Top as integer
    declare property Top(value as integer)
    declare property Visible as integer
    declare property Visible(value as integer)
    declare property Width as integer
    declare property Width(value as integer)
    declare property TabStop as integer
    declare property TabStop(value as integer)
    declare sub BringToFront
    declare sub ClientToScreen(Byref P as Point)
    declare sub Invalidate
    declare sub Repaint
    declare sub ScreenToClient(Byref P as Point)
    declare sub SendToBack
    declare sub SetFocus
    declare sub Update
    declare sub Click
    onClick as sub(byref Sender as TCheckBox)
end type
