'*******************************************************************************
'*                             TOpenDialogOptions.bi                           *
'*             This file is a part of sGUI libary for FreeBasic                *
'*             Copyright 2010-2013 Nastasa Vasile Eodor                       *
'*             http://sgui.rqwork.evonet.ro                                    *
'*             mail: nastase.eodor@gmail.com                                   *
'*                             version 2.0                                     *
'*******************************************************************************

#Include once "windows.bi"
#Include once "win/commdlg.bi"

const OFN_ENABLEINCLUDENOTIFY = &H400000

enum TOpenDialogOption
    ofReadOnly            = OFN_READONLY 
    ofOverwritePrompt     = OFN_OVERWRITEPROMPT 
    ofHideReadOnly        = OFN_HIDEREADONLY
    ofNoChangeDir         = OFN_NOCHANGEDIR
    ofShowHelp            = OFN_SHOWHELP
    ofNoValidate          = OFN_NOVALIDATE 
    ofAllowMultiSelect    = OFN_ALLOWMULTISELECT
    ofExtensionDifferent  = OFN_EXTENSIONDIFFERENT 
    ofPathMustExist       = OFN_PATHMUSTEXIST 
    ofFileMustExist       = OFN_FILEMUSTEXIST 
    ofCreatePrompt        = OFN_CREATEPROMPT
    ofShareAware          = OFN_SHAREAWARE 
    ofNoReadOnlyReturn    = OFN_NOREADONLYRETURN 
    ofNoTestFileCreate    = OFN_NOTESTFILECREATE 
    ofNoNetworkButton     = OFN_NONETWORKBUTTON
    ofNoLongNames         = OFN_NOLONGNAMES 
    ofOldStyleDialog      = OFN_EXPLORER 
    ofNoDereferenceLinks  = OFN_NODEREFERENCELINKS 
    ofEnableIncludeNotify = OFN_ENABLEINCLUDENOTIFY
    ofEnableSizing        = OFN_ENABLESIZING
end enum

type POpenDialogOptions as TOpenDialogOptions ptr
type TOpenDialogOptions
    private:
    FCount   as integer
    FOptions as integer ptr
    public:
    declare property Option(index as integer) as integer
    declare property Option(index as integer,value as integer)
    declare function Count as integer
    declare sub Include(value as integer)
    declare sub Exclude(value as integer)
    declare operator cast as integer
end type

